iMovie app on Ipad2

Discussion in 'New Member Introductions - Site Assistance' started by Hemi, Oct 15, 2011.

  1. Hemi

    Hemi
    Expand Collapse
    iPF Noob

    Joined:
    Oct 15, 2011
    Messages:
    3
    Thanks Received:
    0
    Hi Folks, Just received a new IPAD2 and want to maximize it for my real estate practice. It takes adequate videos, but I need iMovie to edit. Each time I try to load from the App store, a dialog box states it is not compatible even though the icon states otherwise. Any ideas?
     
  2. Gabriel1

    Gabriel1
    Expand Collapse
    Super Moderator
    Staff Member

    Joined:
    Mar 11, 2011
    Messages:
    17,096
    Thanks Received:
    747
    The current version of iMovie requires iOS 5 so I'm guessing that you have iOS 4.3.x therefore the only way is to upgrade the version of iOS.
     

Share This Page